Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Exception Class Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Exception:

## Public Member Functions
| Exception (const std::string &msg)
| Exception (const char *prefix, const std::string &msg)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Base class for all exceptions thrown by the library

Definition at line 21 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Exception::Exception | ( | const std::string & | msg | ) |
| inline explicit

Definition at line 24 of file exceptn.h.

24 : m_msg(msg) {}

Botan::Exception::Exception | ( | const char * | prefix,
|  | const std::string & | msg
| ) |  |
| inline

Definition at line 25 of file exceptn.h.

25 : m_msg(std::string(prefix) + " " + msg) {}

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/utils/exceptn.h